Subject: Offline Message from vikky: Message * Hello I lived in California , USA. I ha
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Sun, 27 Mar 2022 03:09:43 -0000

From: vikky <[email-masked]>
Phone: 
Location: El Cerrito, United States
URL: https://swagtron.com/contact/
Department: SwagTron

Message * Hello
I lived in California , USA. I have a Swagtron EB7 ebike. I need to find a brushless dc motor controller. Type number jyt-jdw100b(yckh031-112 . I have been searching online but couldn't find a place to buy. Do you know where I can find a replacement? Your help is very appreciated.

----
Zopim
https://www.zopim.com